import QtQuick 1.1

import qb.components 1.0

Screen {
	id: root

	screenTitleIconUrl: "drawables/DomoSystrayIcon.png"

	screenTitle: qsTr("Domoticz")

	function simpleSynchronous(request) {
		var xmlhttp = new XMLHttpRequest();
		xmlhttp.open("GET", request, true);
		xmlhttp.send();
	}

	function switchLight1() {
		var tmp = app.switch1StatusIcon;
		if (tmp == "./drawables/LightBulbOn.png") {
			app.switch1StatusIcon = "./drawables/LightBulbOff.png";
			app.switch1StatusIconDim = "./drawables/LightBulbOffDim.png";
		} else {
			app.switch1StatusIcon = "./drawables/LightBulbOn.png";
			app.switch1StatusIconDim = "./drawables/LightBulbOnDim.png";
		}
	}

	function switchLight2() {
		var tmp = app.switch2StatusIcon;
		if (tmp == "./drawables/LightBulbOff.png") {
			app.switch2StatusIcon = "./drawables/LightBulbOn.png";
			app.switch2StatusIconDim = "./drawables/LightBulbOnDim.png";
		} else {
			app.switch2StatusIcon = "./drawables/LightBulbOff.png";
			app.switch2StatusIconDim = "./drawables/LightBulbOffDim.png";
		}
	}

    IconButton {
        id: switch1Button
        anchors {
            top: parent.top
            topMargin: 40
            left: parent.left
            leftMargin: 50
        }
        width: 75
        height: 75

        iconSource: app.switch1StatusIcon

		onClicked: {
			simpleSynchronous("http://192.168.1.192:8080/json.htm?type=command&param=switchlight&idx=1&switchcmd=Toggle");
			switchLight1();
    		}
	}

    Text {
        id: switch1Title
        anchors {
            left: switch1Button.right
            verticalCenter: switch1Button.verticalCenter
            leftMargin: 10
        }
        font {
            family: qfont.semiBold.name
            pixelSize: 20
        }
        color: colors.clockTileColor
        text: app.switch1Name
    } 

    Text {
        id: switch1Last
        anchors {
            	top: switch1Title.bottom
   		left: switch1Title.left
        }
        font {
            family: qfont.semiBold.name
            pixelSize: 15
        }
        color: colors.clockTileColor
        text: "Laatst gezien: " + app.switch1LastUpdate
    }

    IconButton {
        id: switch2Button
        anchors {
            top: switch1Button.bottom
            topMargin: 40
            left: parent.left
            leftMargin: 50
        }
        width: 75
        height: 75

        iconSource: app.switch2StatusIcon

	onClicked: {
		simpleSynchronous("http://192.168.1.192:8080/json.htm?type=command&param=switchlight&idx=2&switchcmd=Toggle");
		switchLight2();
	}
    }

    Text {
        id: switch2Title
        anchors {
            left: switch2Button.right
            verticalCenter: switch2Button.verticalCenter
            leftMargin: 10
        }
        font {
            family: qfont.semiBold.name
            pixelSize: 20
        }
        color: colors.clockTileColor
        text: app.switch2Name
    }

    Text {
        id: switch2Last
        anchors {
            	top: switch2Title.bottom
		left: switch2Title.left
        }
        font {
            family: qfont.semiBold.name
            pixelSize: 15
        }
        color: colors.clockTileColor
        text: "Laatst gezien: " + app.switch2LastUpdate
    }
}
