import QtQuick 1.1
import qb.components 1.0


Tile {
	id: domoticzTile
	property bool dimState: screenStateController.dimmedColors

	onClicked: {
		stage.openFullscreen(app.domoticzScreenUrl);
	}

	function simpleSynchronous(request) {
		var xmlhttp = new XMLHttpRequest();
		xmlhttp.open("GET", request, true);
		xmlhttp.send();
	}

	function switchLight1() {
		var tmp = app.switch1StatusIcon;
		if (tmp == "./drawables/LightBulbOn.png") {
			app.switch1StatusIcon = "./drawables/LightBulbOff.png";
			app.switch1StatusIconDim = "./drawables/LightBulbOffDim.png";
		} else {
			app.switch1StatusIcon = "./drawables/LightBulbOn.png";
			app.switch1StatusIconDim = "./drawables/LightBulbOnDim.png";
		}
	}

	function switchLight2() {
		var tmp = app.switch2StatusIcon;
		if (tmp == "./drawables/LightBulbOff.png") {
			app.switch2StatusIcon = "./drawables/LightBulbOn.png";
			app.switch2StatusIconDim = "./drawables/LightBulbOnDim.png";
		} else {
			app.switch2StatusIcon = "./drawables/LightBulbOff.png";
			app.switch2StatusIconDim = "./drawables/LightBulbOffDim.png";
		}
	}

 	Image {
        	id: switch1Button
        	anchors {
         	   top: parent.top
         	   topMargin: 40
         	   left: parent.left
         	   leftMargin: 20
        	}
        	width: 75
        	height: 75
       	source: dimState ? app.switch1StatusIconDim : app.switch1StatusIcon
		MouseArea {
			id: switch1Mouse
			anchors.fill: parent
			onClicked: {
				simpleSynchronous("http://192.168.1.192:8080/json.htm?type=command&param=switchlight&idx=1&switchcmd=Toggle");
				switchLight1();
			}
		}

	}

    	Text {
        	id: switch1Title
        	anchors {
            		top: switch1Button.bottom
        		topMargin: 10
            		left: switch1Button.left
        	}
        	font {
            		family: qfont.semiBold.name
            		pixelSize: 20
        	}
        	color: colors.clockTileColor
        	text: "Name 1"
    	}

 	Image {
        	id: switch2Button
        	anchors {
         	   top: parent.top
         	   topMargin: 40
         	   right: parent.right
         	   rightMargin: 20
        	}
        	width: 75
        	height: 75

       	source: dimState ? app.switch2StatusIconDim : app.switch2StatusIcon

		MouseArea {
			id: switch2Mouse
			anchors.fill: parent
			onClicked: {
				simpleSynchronous("http://192.168.1.192:8080/json.htm?type=command&param=switchlight&idx=2&switchcmd=Toggle");
				switchLight2();
			}
		}

	}

    	Text {
        	id: switch2Title
        	anchors {
            		top: switch2Button.bottom
        		topMargin: 10
            		right: switch2Button.right
        	}
        	font {
            		family: qfont.semiBold.name
            		pixelSize: 20
        	}
        	color: colors.clockTileColor
        	text: "Name 2 "
    	}


}
